Adding the Acquia Lift Drupal modules

Installing Acquia Lift Drupal for Drupal 7

Use the following steps to install Acquia Lift Drupal for Drupal 7 on your website:

  1. Download and extract the following modules into separate directories in your docroot/sites/all/modules/ directory:
  2. Download and extract supported versions of the following JavaScript libraries into separate directories in the docroot/sites/all/libraries directory, and then ensure that the library file names match the appropriate file and pathname in the provided examples. Unless specifically noted, you can use either the development or production versions of these libraries.

    For example, if you are using the production version of the Backbone.js library, you would ensure that it is located at /sites/all/libraries/backbone/backbone-min.js.

    Library Version Directory Example
    Backbone.js 1.x or higher /backbone /backbone/backbone.js (Development)
    /backbone/backbone-min.js (Production)
    Chosen 1.1.0 or higher /chosen /chosen/chosen.jquery.js (Development)
    /chosen/chosen.jquery.min.js (Production)
    D3.js 3.4.x or higher /d3 /d3/d3.js (Development)
    /d3/d3.min.js (Production)
    qTip 1.x only /qtip /qtip/jquery.qtip-1.0.0-rc3.js (Development only)
    Rickshaw 1.5.x or higher /rickshaw /rickshaw/rickshaw.js (Development)
    /rickshaw/rickshaw.min.js (Production)
    Underscore.js 1.4.4 or higher /underscore /underscore/underscore.js (Development only)
  3. To download the Modernizr library, depending on your needs, complete the appropriate set of steps:
    • New Modernizr users - Complete the following steps:
      1. Visit the Modernizr website. The website displays a custom configuration of the library that contains the requirements needed to work with Acquia Lift Drupal.
      2. Click Build. The website displays a dialog box.
      3. Click the Download link to the right of the Build section. The Modernizr JavaScript library begins downloading as a file named modernizr-custom.js.
      4. Rename the file to modernizr-min.js, and place it in the docroot/sites/all/libraries/modernizr directory.
    • Previous Modernizr users - Ensure that your website's existing Modernizr build includes the following features and options from the Modernizr download page:
      • Features:
        • details Element
        • Form input types
        • JSON
        • SVG
        • Touch Events
      • Options:
        • Add CSS classes
        • Modernizr.addTest
        • Modernizr.testStyles
        • Modernizr.prefixed
  4. If you are using jQuery 1.9.x or later, for Acquia Lift Drupal to work properly you must install and enable the jQuery Update module and select the Enable jQuery Migrate Plugin check box in the jQuery Update module settings. We recommend that you use jQuery Update 7.x-3.x-alpha2.
  5. Sign in to your website as an administrator, and then click Modules in the admin menu to view the Modules page.
  6. Select the following check boxes:
    • Acquia Lift
    • Acquia Lift Profiles
  7. Click Save configuration to save your module settings.
  8. In the admin bar, go to Reports > Status report, and then ensure that the report page does not display any errors for the required libraries.

    If the report displays any errors for the libraries, the Acquia Lift Drupal modules cannot locate one or more of the libraries for their use. Revisit steps 2 and 3 of this procedure to ensure that your website includes all of the required libraries, and that they have the correct file and pathnames.

Next step

You can now connect the modules to the Acquia Lift service.

Add new comment

Plain text

  • No HTML tags allowed.
  • Lines and paragraphs break automatically.
  • Web page addresses and email addresses turn into links automatically.
By submitting this form, you accept the Mollom privacy policy.

Contact supportStill need assistance? Contact Acquia Support